org.keycloak.storage.user

## Interface UserLookupProvider.Streams

- All Superinterfaces:
    UserLookupProvider
  All Known Subinterfaces:
    UserCache.Streams, UserProvider.Streams
  All Known Implementing Classes:
    JpaUserProvider, KerberosFederationProvider, LDAPStorageProvider, MapUserProvider, SSSDFederationProvider, UserCacheSession, UserStorageManager
  Enclosing interface:
    UserLookupProvider

      public static interface UserLookupProvider.Streams
      extends UserLookupProvider

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.keycloak.storage.user.UserLookupProvider

      `UserLookupProvider.Streams`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `UserModel` | `getUserByEmail(RealmModel realm, String email)` Returns a user with the given email belonging to the realm
    `default UserModel` | `getUserByEmail(String email, RealmModel realm)`
    `UserModel` | `getUserById(RealmModel realm, String id)` Returns a user with the given id belonging to the realm
    `default UserModel` | `getUserById(String id, RealmModel realm)`
    `UserModel` | `getUserByUsername(RealmModel realm, String username)` Returns a user with the given username belonging to the realm
    `default UserModel` | `getUserByUsername(String username, RealmModel realm)`

- - ### Method Detail

    - #### getUserById

          UserModel getUserById(RealmModel realm,
                                String id)

      Description copied from interface: `UserLookupProvider`
      Returns a user with the given id belonging to the realm
      Specified by:
        `getUserById` in interface `UserLookupProvider`
      Parameters:
        `realm` - the realm model
        `id` - id of the user
      Returns:
        found user model, or `null` if no such user exists

    - #### getUserById

          default UserModel getUserById(String id,
                                        RealmModel realm)

      Specified by:
        `getUserById` in interface `UserLookupProvider`

    - #### getUserByUsername

          UserModel getUserByUsername(RealmModel realm,
                                      String username)

      Description copied from interface: `UserLookupProvider`
      Returns a user with the given username belonging to the realm
      Specified by:
        `getUserByUsername` in interface `UserLookupProvider`
      Parameters:
        `realm` - the realm model
        `username` - case insensitive username (case-sensitivity is controlled by storage)
      Returns:
        found user model, or `null` if no such user exists

    - #### getUserByUsername

          default UserModel getUserByUsername(String username,
                                              RealmModel realm)

      Specified by:
        `getUserByUsername` in interface `UserLookupProvider`

    - #### getUserByEmail

          UserModel getUserByEmail(RealmModel realm,
                                   String email)

      Description copied from interface: `UserLookupProvider`
      Returns a user with the given email belonging to the realm
      Specified by:
        `getUserByEmail` in interface `UserLookupProvider`
      Parameters:
        `realm` - the realm model
        `email` - case insensitive email address (case-sensitivity is controlled by storage)
      Returns:
        found user model, or `null` if no such user exists

    - #### getUserByEmail

          default UserModel getUserByEmail(String email,
                                           RealmModel realm)

      Specified by:
        `getUserByEmail` in interface `UserLookupProvider`

Copyright © 2021 JBoss by Red Hat. All rights reserved.